Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::EventFocus Class Reference

A GdkEventFocus C++ wrapper class. More...

`#include <events.h>`

Inheritance diagram for Inti::Gdk::EventFocus:

List of all members.

## Public Member Functions

Accessors

- GdkEventFocus * gdk_event_focus () const
    Get a pointer to the GdkEventFocus structure.
- bool in () const
    Returns true if the window has gained the keyboard focus.
- bool out () const
    Returns true if the window has lost the keyboard focus.

## Detailed Description

A GdkEventFocus C++ wrapper class.

An EventFocus describes a change of keyboard focus.

The event type is FOCUS_CHANGE

The documentation for this class was generated from the following file:

- events.h

Main Page - Footer